## org.firebirdsql.jdbc
Class InternalTransactionCoordinator

    java.lang.Object
      org.firebirdsql.jdbc.InternalTransactionCoordinator

All Implemented Interfaces:
  FBObjectListener.BlobListener, FBObjectListener.StatementListener, Synchronizable

    public class InternalTransactionCoordinator

extends Object
implements FBObjectListener.StatementListener, FBObjectListener.BlobListener, Synchronizable

Transaction coordinator for the `FBConnection` class.

Nested Class Summary
`static class` `InternalTransactionCoordinator.AbstractTransactionCoordinator`
`static class` `InternalTransactionCoordinator.AutoCommitCoordinator`
`static class` `InternalTransactionCoordinator.LocalTransactionCoordinator`
`static class` `InternalTransactionCoordinator.ManagedTransactionCoordinator`
`static class` `InternalTransactionCoordinator.MetaDataTransactionCoordinator`

Constructor Summary
`InternalTransactionCoordinator()`
`InternalTransactionCoordinator(InternalTransactionCoordinator.AbstractTransactionCoordinator coordinator)`

Method Summary
`void` `commit()`
`void` `ensureTransaction()`
`void` `executionCompleted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been completed.
`void` `executionStarted(AbstractStatement stmt)` Notify listener that statement execution is being started.
`void` `executionStarted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.
`AbstractConnection` `getConnection()` Get the connection object to which this listener belongs to.
`Object` `getSynchronizationObject()` Get synchronization object.
`void` `rollback()`
`void` `setCoordinator(InternalTransactionCoordinator.AbstractTransactionCoordinator coordinator)`
`void` `statementClosed(AbstractStatement stmt)` Notify the listener that statement was closed.
`void` `statementCompleted(AbstractStatement stmt)` Notify the listener that statement is completed.
`void` `statementCompleted(AbstractStatement stmt, boolean success)` Notify the listener that statement is completed and tell whether execution was successfull or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalTransactionCoordinator

    public InternalTransactionCoordinator()

### InternalTransactionCoordinator

    public InternalTransactionCoordinator(InternalTransactionCoordinator.AbstractTransactionCoordinator coordinator)

Method Detail

### getSynchronizationObject

    public Object getSynchronizationObject()
                                    throws SQLException

  Description copied from interface: `Synchronizable`
  Get synchronization object.

  Specified by:
    `getSynchronizationObject` in interface `Synchronizable`
  Returns:
    object, cannot be `null`.
  Throws:
    `SQLException` - if something went wrong.

### executionStarted

    public void executionStarted(AbstractStatement stmt)
                          throws SQLException

  Description copied from interface: `FBObjectListener.StatementListener`
  Notify listener that statement execution is being started.

  Specified by:
    `executionStarted` in interface `FBObjectListener.StatementListener`
  Parameters:
    `stmt` - statement that is being executed.
  Throws:
    `SQLException` - if something went wrong.

### getConnection

    public AbstractConnection getConnection()
                                     throws SQLException

  Description copied from interface: `FBObjectListener.StatementListener`
  Get the connection object to which this listener belongs to.

  Specified by:
    `getConnection` in interface `FBObjectListener.StatementListener`
  Returns:
    instance of `Connection`
  Throws:
    `SQLException` - if something went wrong.

### statementClosed

    public void statementClosed(AbstractStatement stmt)
                         throws SQLException

  Description copied from interface: `FBObjectListener.StatementListener`
  Notify the listener that statement was closed.

  Specified by:
    `statementClosed` in interface `FBObjectListener.StatementListener`
  Parameters:
    `stmt` - statement that was closed.
  Throws:
    `SQLException`

### statementCompleted

    public void statementCompleted(AbstractStatement stmt)
                            throws SQLException

  Description copied from interface: `FBObjectListener.StatementListener`
  Notify the listener that statement is completed. This is shortcut method for `statementCompleted(AbstractStatement, true)`.

  Specified by:
    `statementCompleted` in interface `FBObjectListener.StatementListener`
  Parameters:
    `stmt` - statement that was completed.
  Throws:
    `SQLException`

### statementCompleted

    public void statementCompleted(AbstractStatement stmt,
                                   boolean success)
                            throws SQLException

  Description copied from interface: `FBObjectListener.StatementListener`
  Notify the listener that statement is completed and tell whether execution was successfull or not.

  Specified by:
    `statementCompleted` in interface `FBObjectListener.StatementListener`
  Parameters:
    `stmt` - statement that was completed.
    `success` - `true` if completion was successfull.
  Throws:
    `SQLException` - if an error occured.

### executionCompleted

    public void executionCompleted(FirebirdBlob blob)
                            throws SQLException

  Description copied from interface: `FBObjectListener.BlobListener`
  Notify listener that execution of some BLOB operation had been completed.

  Specified by:
    `executionCompleted` in interface `FBObjectListener.BlobListener`
  Parameters:
    `blob` - instance of `FirebirdBlob` that caused this event.
  Throws:
    `SQLException` - if something went wrong.

### executionStarted

    public void executionStarted(FirebirdBlob blob)
                          throws SQLException

  Description copied from interface: `FBObjectListener.BlobListener`
  Notify listener that execution of some BLOB operation had been started.

  Specified by:
    `executionStarted` in interface `FBObjectListener.BlobListener`
  Parameters:
    `blob` - instance of `FirebirdBlob` that caused this event.
  Throws:
    `SQLException` - if something went wrong.

### ensureTransaction

    public void ensureTransaction()
                           throws SQLException

  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Throws:
    `SQLException`

### setCoordinator

    public void setCoordinator(InternalTransactionCoordinator.AbstractTransactionCoordinator coordinator)
                        throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.